Debian Security Advisory

DSA-2102-1 barnowl -- unchecked return value

Date Reported:
03 Sep 2010
Affected Packages:
barnowl
Vulnerable:
Yes
Security database references:
In the Debian bugtracking system: Bug 593299.
In Mitre's CVE dictionary: CVE-2010-2725.
More information:

It has been discovered that in barnowl, a curses-based instant-messaging client, the return codes of calls to the ZPending and ZReceiveNotice functions in libzephyr were not checked, allowing attackers to cause a denial of service (crash of the application), and possibly execute arbitrary code.

For the stable distribution (lenny), this problem has been fixed in version 1.0.1-4+lenny2.

For the testing distribution (squeeze), this problem has been fixed in version 1.6.2-1.

For the unstable distribution (sid), this problem has been fixed in version 1.6.2-1.

We recommend that you upgrade your barnowl packages.

Fixed in:

Debian GNU/Linux 5.0 (lenny)

Source:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1.orig.tar.gz
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2.dsc
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2.diff.gz
Architecture-independent component:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl-irc_1.0.1-4+lenny2_all.deb
Alpha:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/b/barnowl/barnowl_1.0.1-4+lenny2_sparc.deb

MD5 checksums of the listed files are available in the original advisory.